com.ibm.openpages.api.questionnaire

## Interface IQuestionDependency

-     public interface IQuestionDependency

  This is an interface to access question dependencies on other questions or fields (controllers). Question dependencies are used by UI controls.
  Category:
    Questionnaire

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addController(IControllerQuestionMap.ControllerType type, java.lang.String controllerPath, java.util.Set<java.lang.String> values)` Adds a new controller to the dependency.
    `void` | `clearControllers()` Clears all the controllers from the dependency.
    `java.util.Collection<IControllerQuestionMap>` | `getControllers()` Returns the fields and their values that control the state of the current IQuestion.
    `LogicalOperatorType` | `getLogicalOperator()` Returns the logical operator used to group conditions from controllers (AND, OR).
    `boolean` | `removeController(IControllerQuestionMap controller)` Removes a controller from the dependency.
    `void` | `setLogicalOperator(LogicalOperatorType type)` Sets the logical operator of the dependency.

- - ### Method Detail

    - #### getControllers

          java.util.Collection<IControllerQuestionMap> getControllers()

      Returns the fields and their values that control the state of the current IQuestion.

      Returns:
        Collection the collection of controlling field map

    - #### getLogicalOperator

          LogicalOperatorType getLogicalOperator()

      Returns the logical operator used to group conditions from controllers (AND, OR).

      Returns:
        LogicalOperatorType the logical operator type

    - #### addController

          void addController(IControllerQuestionMap.ControllerType type,
                             java.lang.String controllerPath,
                             java.util.Set<java.lang.String> values)

      Adds a new controller to the dependency.

      Parameters:
        `type` - the type of the controller
        `controllerPath` - path to the controlling question or the controlling field
        `values` - set of values that are tested against the controller

    - #### removeController

          boolean removeController(IControllerQuestionMap controller)

      Removes a controller from the dependency.

      Parameters:
        `controller` - the controller to remove
      Returns:
        true if it is removed from the controller collection

    - #### clearControllers

          void clearControllers()

      Clears all the controllers from the dependency.

    - #### setLogicalOperator

          void setLogicalOperator(LogicalOperatorType type)

      Sets the logical operator of the dependency.

      Parameters:
        `type` - the type of the logical operator

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.